diff -urN /opt/openerp/openerp-7.0-20131119-002500/openerp/addons/hr_attendance_analysis/hr_attendance.py /media/GRMCPRXFRER/hr_attendance_analysis/hr_attendance.py
--- /opt/openerp/openerp-7.0-20131119-002500/openerp/addons/hr_attendance_analysis/hr_attendance.py	2014-05-30 01:07:03.119144292 +0200
+++ /media/GRMCPRXFRER/hr_attendance_analysis/hr_attendance.py	2014-05-28 04:23:08.000000000 +0200
@@ -387,31 +343,46 @@
                     ('employee_id', '=', attendance.employee_id.id),
                     ('name', '<', attendance.name),
                     ('action', '=', 'sign_in'),
-                    ], order='name', context=context)
+                    ], order='name')
                 if previous_attendance_ids and previous_attendance_ids[len(previous_attendance_ids) - 1] not in attendance_ids:
                     attendance_ids.append(previous_attendance_ids[len(previous_attendance_ids) - 1])    
         return attendance_ids
 
     _inherit = "hr.attendance"
 
-    _store_rules = {
-                    'hr.attendance': (_get_attendances, ['name', 'action', 'employee_id'], 20),
-                    'hr.contract': (_get_by_contracts, ['employee_id', 'date_start', 'date_end', 'trial_date_start', 'trial_date_end', 'working_hours'], 20),
-                    'resource.calendar': (_get_by_calendars, ['attendance_ids'], 20),
-                    'resource.calendar.attendance': (_get_by_calendar_attendances, ['dayofweek', 'date_from', 'hour_from', 'hour_to', 'calendar_id'], 20),
-                    }
-
     _columns = {
         'duration': fields.function(_get_attendance_duration, method=True, multi='duration', string="Attendance duration",
-            store=_store_rules),
+            store={
+                'hr.attendance': (_get_attendances, ['name', 'action', 'employee_id'], 20),
+                'hr.contract': (_get_by_contracts, ['employee_id', 'date_start', 'date_end', 'trial_date_start', 'trial_date_end', 'working_hours'], 20),
+                'resource.calendar': (_get_by_calendars, ['attendance_ids'], 20),
+                'resource.calendar.attendance': (_get_by_calendar_attendances, ['dayofweek', 'date_from', 'hour_from', 'hour_to', 'calendar_id'], 20),
+                }
+            ),
         'end_datetime': fields.function(_get_attendance_duration, method=True, multi='duration', type="datetime", string="End date time",
-            store=_store_rules),
+            store={
+                'hr.attendance': (_get_attendances, ['name', 'action', 'employee_id'], 20),
+                'hr.contract': (_get_by_contracts, ['employee_id', 'date_start', 'date_end', 'trial_date_start', 'trial_date_end', 'working_hours'], 20),
+                'resource.calendar': (_get_by_calendars, ['attendance_ids'], 20),
+                'resource.calendar.attendance': (_get_by_calendar_attendances, ['dayofweek', 'date_from', 'hour_from', 'hour_to', 'calendar_id'], 20),
+                }),
         'outside_calendar_duration': fields.function(_get_attendance_duration, method=True, multi='duration',
             string="Overtime",
-            store=_store_rules),
+            store={
+                'hr.attendance': (_get_attendances, ['name', 'action', 'employee_id'], 20),
+                'hr.contract': (_get_by_contracts, ['employee_id', 'date_start', 'date_end', 'trial_date_start', 'trial_date_end', 'working_hours'], 20),
+                'resource.calendar': (_get_by_calendars, ['attendance_ids'], 20),
+                'resource.calendar.attendance': (_get_by_calendar_attendances, ['dayofweek', 'date_from', 'hour_from', 'hour_to', 'calendar_id'], 20),
+                }),
         'inside_calendar_duration': fields.function(_get_attendance_duration, method=True, multi='duration',
             string="Duration within working schedule",
-            store=_store_rules),
+            store={
+                'hr.attendance': (_get_attendances, ['name', 'action', 'employee_id'], 20),
+                'hr.contract': (_get_by_contracts, ['employee_id', 'date_start', 'date_end', 'trial_date_start', 'trial_date_end', 'working_hours'], 20),
+                'resource.calendar': (_get_by_calendars, ['attendance_ids'], 20),
+                'resource.calendar.attendance': (_get_by_calendar_attendances, ['dayofweek', 'date_from', 'hour_from', 'hour_to', 'calendar_id'], 20),
+                }),
     }
 
+hr_attendance()
 
Binary files /opt/openerp/openerp-7.0-20131119-002500/openerp/addons/hr_attendance_analysis/hr_attendance.pyc and /media/GRMCPRXFRER/hr_attendance_analysis/hr_attendance.pyc differ
diff -urN /opt/openerp/openerp-7.0-20131119-002500/openerp/addons/hr_attendance_analysis/__openerp__.py /media/GRMCPRXFRER/hr_attendance_analysis/__openerp__.py
--- /opt/openerp/openerp-7.0-20131119-002500/openerp/addons/hr_attendance_analysis/__openerp__.py	2014-05-30 01:07:03.119144292 +0200
+++ /media/GRMCPRXFRER/hr_attendance_analysis/__openerp__.py	2014-05-28 04:23:26.000000000 +0200
@@ -1,9 +1,8 @@
 # -*- coding: utf-8 -*-
 ##############################################################################
 #    
+#    Copyright (C) 2011 Agile Business Group sagl (<http://www.agilebg.com>)
 #    Copyright (C) 2011 Domsense srl (<http://www.domsense.com>)
-#    Copyright (C) 2011-2013 Agile Business Group sagl
-#    (<http://www.agilebg.com>)
 #
 #    This program is free software: you can redistribute it and/or modify
 #    it under the terms of the GNU Affero General Public License as published
@@ -13,7 +12,7 @@
 #    This program is distributed in the hope that it will be useful,
 #    but WITHOUT ANY WARRANTY; without even the implied warranty of
 #    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-#    GNU Affero General Public License for more details.
+#    GNU General Public License for more details.
 #
 #    You should have received a copy of the GNU Affero General Public License
 #    along with this program.  If not, see <http://www.gnu.org/licenses/>.
@@ -23,7 +22,6 @@
     'name': "HR - Attendance Analysis",
     'version': '0.1',
     'category': 'Generic Modules/Human Resources',
-    'summary': "Dynamic reports based on employee's attendances and contract's calendar",
     'description': """
 Dynamic reports based on employee's attendances and contract's calendar.
 Among other things, it lets you see the amount of working hours outside and inside the contract's working schedule (overtime).
@@ -32,12 +30,17 @@
  - Tolerance for sign-in and sign-out
  - Attendances and overtimes roundings
  - Diffrent types of overtime, according to the overtime amount
+
+This module requires python 2.7 or later
+----------------------------------------
+
 """,
     'author': 'Agile Business Group',
     'website': 'http://www.agilebg.com',
     'license': 'AGPL-3',
     "depends" : ['hr_attendance', 'hr_contract', 'hr_holidays', 'report_webkit'],
-    "data" : [
+    "init_xml" : [],
+    "update_xml" : [
         'company_view.xml',
         'hr_attendance_view.xml',
         'reports.xml',
@@ -45,7 +48,7 @@
         'resource_view.xml',
         'security/ir.model.access.csv',
         ],
-    "demo" : [],
+    "demo_xml" : [],
     "active": False,
     "installable": True
 }
diff -urN /opt/openerp/openerp-7.0-20131119-002500/openerp/addons/hr_attendance_analysis/report/calendar_report.mako /media/GRMCPRXFRER/hr_attendance_analysis/report/calendar_report.mako
--- /opt/openerp/openerp-7.0-20131119-002500/openerp/addons/hr_attendance_analysis/report/calendar_report.mako	2014-05-30 01:07:03.119144292 +0200
+++ /media/GRMCPRXFRER/hr_attendance_analysis/report/calendar_report.mako	2014-05-28 04:25:40.000000000 +0200
@@ -1,4 +1,3 @@
-## -*- coding: utf-8 -*-
 <html>
 <head>
     <style type="text/css">
diff -urN /opt/openerp/openerp-7.0-20131119-002500/openerp/addons/hr_attendance_analysis/resource.py /media/GRMCPRXFRER/hr_attendance_analysis/resource.py
--- /opt/openerp/openerp-7.0-20131119-002500/openerp/addons/hr_attendance_analysis/resource.py	2014-05-30 01:07:03.119144292 +0200
+++ /media/GRMCPRXFRER/hr_attendance_analysis/resource.py	2014-05-28 04:23:00.000000000 +0200
@@ -1,9 +1,8 @@
 # -*- coding: utf-8 -*-
 ##############################################################################
 #    
+#    Copyright (C) 2011 Agile Business Group sagl (<http://www.agilebg.com>)
 #    Copyright (C) 2011 Domsense srl (<http://www.domsense.com>)
-#    Copyright (C) 2011-2013 Agile Business Group sagl
-#    (<http://www.agilebg.com>)
 #
 #    This program is free software: you can redistribute it and/or modify
 #    it under the terms of the GNU Affero General Public License as published
@@ -13,16 +12,16 @@
 #    This program is distributed in the hope that it will be useful,
 #    but WITHOUT ANY WARRANTY; without even the implied warranty of
 #    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-#    GNU Affero General Public License for more details.
+#    GNU General Public License for more details.
 #
 #    You should have received a copy of the GNU Affero General Public License
 #    along with this program.  If not, see <http://www.gnu.org/licenses/>.
 #
 ##############################################################################
 
-from openerp.osv import fields, orm
+from osv import fields, osv
 
-class resource_calendar_attendance(orm.Model):
+class resource_calendar_attendance(osv.osv):
     _inherit = "resource.calendar.attendance"
     _columns = {
         'tolerance_from': fields.float('Tolerance from', size=8,
@@ -31,8 +30,9 @@
             help='Sign in done in the interval "Work from + Tolerance to" will be considered done at "Work from"'),
         }
     
+resource_calendar_attendance()
 
-class resource_calendar(orm.Model):
+class resource_calendar(osv.osv):
     _inherit = "resource.calendar"
     _columns = {
         'attendance_rounding': fields.selection([
@@ -88,8 +88,9 @@
             help='On the contrary of overtime rounding, using rounding = 15 minutes, a leave of 1 minute will be considered as 15 minutes, 16 minutes as 30 minutes and so on'),
         'overtime_type_ids': fields.one2many('resource.calendar.overtime.type', 'calendar_id', 'Overtime types'),
         }
+resource_calendar()
 
-class resource_calendar_overtime_range(orm.Model):
+class resource_calendar_overtime_range(osv.osv):
     _name = 'resource.calendar.overtime.type'
     _description = 'Overtime type'
     _order = 'sequence'
@@ -100,3 +101,4 @@
         'limit': fields.float('Limit', size=8,
             help='Limit, in hours, of overtime that can be imputed to this type of overtime in a day. The surplus is imputed to the subsequent type')
         }
+resource_calendar_overtime_range()
Binary files /opt/openerp/openerp-7.0-20131119-002500/openerp/addons/hr_attendance_analysis/resource.pyc and /media/GRMCPRXFRER/hr_attendance_analysis/resource.pyc differ
diff -urN /opt/openerp/openerp-7.0-20131119-002500/openerp/addons/hr_attendance_analysis/wizard/print_calendar_report.py /media/GRMCPRXFRER/hr_attendance_analysis/wizard/print_calendar_report.py
--- /opt/openerp/openerp-7.0-20131119-002500/openerp/addons/hr_attendance_analysis/wizard/print_calendar_report.py	2014-05-30 02:13:49.425473465 +0200
+++ /media/GRMCPRXFRER/hr_attendance_analysis/wizard/print_calendar_report.py	2014-05-28 04:24:32.000000000 +0200
@@ -1,9 +1,8 @@
 # -*- coding: utf-8 -*-
 ##############################################################################
 #    
+#    Copyright (C) 2011 Agile Business Group sagl (<http://www.agilebg.com>)
 #    Copyright (C) 2011 Domsense srl (<http://www.domsense.com>)
-#    Copyright (C) 2011-2013 Agile Business Group sagl
-#    (<http://www.agilebg.com>)
 #
 #    This program is free software: you can redistribute it and/or modify
 #    it under the terms of the GNU Affero General Public License as published
@@ -13,20 +12,20 @@
 #    This program is distributed in the hope that it will be useful,
 #    but WITHOUT ANY WARRANTY; without even the implied warranty of
 #    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-#    GNU Affero General Public License for more details.
+#    GNU General Public License for more details.
 #
 #    You should have received a copy of the GNU Affero General Public License
 #    along with this program.  If not, see <http://www.gnu.org/licenses/>.
 #
 ##############################################################################
 
-from openerp.osv import fields, orm
-from openerp.tools.translate import _
+from osv import fields,osv
+from tools.translate import _
 from datetime import *
 import math
 import calendar
 
-class wizard_calendar_report(orm.TransientModel):
+class wizard_calendar_report(osv.osv_memory):
     
     _columns = {
         'month': fields.selection([
@@ -55,7 +54,7 @@
         'year': lambda * a: datetime.now().year,
         'from_date': lambda * a: (datetime.now()-timedelta(30)).strftime('%Y-%m-%d'),
         'to_date': lambda * a: datetime.now().strftime('%Y-%m-%d'),
-        'employee_ids': lambda s, cr, uid, c: s.pool.get('hr.employee').search(cr, uid, [], context=None),
+        'employee_ids': lambda s, cr, uid, c: s.pool.get('hr.employee').search(cr, uid, []),        
     }
 
     _name = "attendance_analysis.wizard.calendar_report"
@@ -74,15 +73,16 @@
         if context is None:
             context = {}
         attendance_pool = self.pool.get('hr.attendance')
+        contract_pool = self.pool.get('hr.contract')
         holidays_pool = self.pool.get('hr.holidays')
 
         days_by_employee = {}
         
-        form = self.read(cr, uid, ids, context=context)[0]
+        form = self.read(cr, uid, ids)[0]
         from_date = datetime.strptime(form['from_date'], '%Y-%m-%d')
         to_date = datetime.strptime(form['to_date'], '%Y-%m-%d')
         if from_date > to_date:
-            raise orm.except_orm(_('Error'), _('From date must be < to date'))
+            raise osv.except_osv(_('Error'), _('From date must be < to date'))
         employee_ids=form['employee_ids']
         delta = to_date - from_date
         max_number_of_attendances_per_day = 0
@@ -96,7 +96,7 @@
                 current_total_attendances = 0.0
                 current_total_overtime = 0.0
                 current_total_leaves = 0.0
-                current_total_due = 24.0 # If calendar is not specified: working days = 24/7
+                current_total_due = 24.0 # If contract is not specified: working days = 24/7
                 current_total_inside_calendar = 0.0
                 str_current_date = current_date.strftime('%Y-%m-%d')
                 days_by_employee[employee_id][str_current_date] = {
@@ -110,8 +110,7 @@
                     'signout_4': '',
                     }
                 current_date_beginning = datetime.combine(current_date, time())
-                str_current_date_beginning = current_date_beginning.strftime(
-                    '%Y-%m-%d %H:%M:%S')
+                str_current_date_beginning = current_date_beginning.strftime('%Y-%m-%d %H:%M:%S')
                 current_date_end = datetime.combine(current_date, time())+ timedelta(1)
                 str_current_date_end = current_date_end.strftime('%Y-%m-%d %H:%M:%S')
                 
@@ -120,21 +119,20 @@
                     ('name','>=',str_current_date_beginning),
                     ('name','<=',str_current_date_end),
                     ('action','=','sign_in'),
-                    ], context=context)
+                    ])
                 # computing attendance totals
-                for attendance in attendance_pool.browse(cr, uid, attendance_ids, context=context):
-                    current_total_attendances = attendance_pool.time_sum(
-                        current_total_attendances,attendance.duration)
+                for attendance in attendance_pool.browse(cr, uid, attendance_ids):
+                    current_total_attendances = attendance_pool.time_sum(current_total_attendances,
+                        attendance.duration)
                     current_total_overtime = attendance_pool.time_sum(current_total_overtime,
                         attendance.outside_calendar_duration)
-                    current_total_inside_calendar = attendance_pool.time_sum(
-                        current_total_inside_calendar,
+                    current_total_inside_calendar = attendance_pool.time_sum(current_total_inside_calendar,
                         attendance.inside_calendar_duration)
                     
                 #printing up to 4 attendances
                 if len(attendance_ids) < 5:
                     count = 1
-                    for attendance in sorted(attendance_pool.browse(cr, uid, attendance_ids, context=context),
+                    for attendance in sorted(attendance_pool.browse(cr, uid, attendance_ids),
                         key=lambda x: x['name']):
                         days_by_employee[employee_id][str_current_date][
                             'signin_'+str(count)] = attendance.name[11:16]
@@ -144,35 +142,26 @@
                     if len(attendance_ids) > max_number_of_attendances_per_day:
                         max_number_of_attendances_per_day = len(attendance_ids)
                     
-                days_by_employee[employee_id][str_current_date][
-                    'attendances'
-                    ] = current_total_attendances
-                days_by_employee[employee_id][str_current_date][
-                    'overtime'
-                    ] = current_total_overtime
+                days_by_employee[employee_id][str_current_date]['attendances'] = current_total_attendances
+                days_by_employee[employee_id][str_current_date]['overtime'] = current_total_overtime
                 
-                reference_calendar = attendance_pool.get_reference_calendar(
-                    cr, uid, int(employee_id), date=str_current_date, context=context)
+                active_contract_ids = attendance_pool.get_active_contracts(
+                    cr, uid, int(employee_id), date=str_current_date)
                 # computing due total
-                if reference_calendar:
-                    if reference_calendar.attendance_ids:
+                if active_contract_ids:
+                    contract = contract_pool.browse(cr, uid, active_contract_ids[0])
+                    if contract.working_hours and contract.working_hours.attendance_ids:
                         current_total_due = 0.0
-                        for calendar_attendance in reference_calendar.attendance_ids:
-                            if ((
-                                not calendar_attendance.dayofweek
-                                or int(calendar_attendance.dayofweek) == current_date.weekday()
-                                )
-                                and (
-                                not calendar_attendance.date_from or 
-                                datetime.strptime(calendar_attendance.date_from,'%Y-%m-%d')
-                                <= current_date
-                                )):
+                        for calendar_attendance in contract.working_hours.attendance_ids:
+                            if (not calendar_attendance.dayofweek
+                                or int(calendar_attendance.dayofweek) == current_date.weekday()) \
+                                and (not calendar_attendance.date_from or 
+                                datetime.strptime(calendar_attendance.date_from,'%Y-%m-%d') <= current_date):
                                 calendar_attendance_duration = attendance_pool.time_difference(
                                     calendar_attendance.hour_from, calendar_attendance.hour_to)
                                 if calendar_attendance_duration < 0:
-                                    raise orm.except_orm(_('Error'),
-                                        _("%s: 'Work to' is < 'Work from'")
-                                        % calendar_attendance.name)
+                                    raise osv.except_osv(_('Error'),
+                                        _("%s: 'Work to' is < 'Work from'") % calendar_attendance.name)
                                 current_total_due = attendance_pool.time_sum(current_total_due, 
                                     calendar_attendance_duration)
                                 
@@ -198,8 +187,8 @@
                     ('date_to', '>', str_current_date_end),
                     ('state', '=', 'validate'),
                     ('employee_id', '=', int(employee_id)),
-                    ], context=context)
-                for holiday in holidays_pool.browse(cr, uid, holidays_ids, context=context):
+                    ])
+                for holiday in holidays_pool.browse(cr, uid, holidays_ids):
                     date_from = datetime.strptime(holiday.date_from, '%Y-%m-%d %H:%M:%S')
                     date_to = datetime.strptime(holiday.date_to, '%Y-%m-%d %H:%M:%S')
                     # if beginned before today
@@ -208,35 +197,27 @@
                     # if ends after today
                     if date_to > current_date_end:
                         date_to = current_date_end
-                    current_total_leaves = attendance_pool.time_sum(
-                        current_total_leaves,
+                    current_total_leaves = attendance_pool.time_sum(current_total_leaves, 
                         (date_to - date_from).total_seconds() / 60.0 / 60.0)
 
                 days_by_employee[employee_id][str_current_date]['leaves'] = current_total_leaves
-                if current_total_leaves > days_by_employee[employee_id][
-                    str_current_date]['due']:
-                    days_by_employee[employee_id][str_current_date][
-                        'leaves'
-                        ] = days_by_employee[employee_id][str_current_date]['due']
-                due_minus_leaves = attendance_pool.time_difference(
-                    current_total_leaves, current_total_due)
+                if current_total_leaves > days_by_employee[employee_id][str_current_date]['due']:
+                    days_by_employee[employee_id][str_current_date]['leaves'] = \
+                        days_by_employee[employee_id][str_current_date]['due']
+                due_minus_leaves = attendance_pool.time_difference(current_total_leaves, current_total_due)
                 if due_minus_leaves < current_total_inside_calendar:
                     days_by_employee[employee_id][str_current_date]['negative'] = 0.0
                 else:
-                    days_by_employee[employee_id][str_current_date][
-                        'negative'
-                        ] = attendance_pool.time_difference(
-                        current_total_inside_calendar, due_minus_leaves)
-
-                if reference_calendar:
-                    if reference_calendar.leave_rounding:
-                        float_rounding = float(reference_calendar.leave_rounding)
-                        days_by_employee[employee_id][str_current_date][
-                            'negative'
-                            ] = math.floor(
+                    days_by_employee[employee_id][str_current_date]['negative'] = \
+                        attendance_pool.time_difference(current_total_inside_calendar, due_minus_leaves)
+
+                if active_contract_ids:
+                    contract = contract_pool.browse(cr, uid, active_contract_ids[0])
+                    if contract.working_hours and contract.working_hours.leave_rounding:
+                        float_rounding = float(contract.working_hours.leave_rounding)
+                        days_by_employee[employee_id][str_current_date]['negative'] = math.floor(
                             days_by_employee[employee_id][str_current_date]['negative'] *
-                            float_rounding
-                            ) / float_rounding
+                            float_rounding) / float_rounding
                 
                 day_count += 1
 
@@ -269,83 +250,53 @@
                     days_by_employee[employee_id][str_date]['due'])
                 
                 # computing overtime types
-                reference_calendar = attendance_pool.get_reference_calendar(
-                    cr, uid, int(employee_id), date=str_date, context=context)
-                if reference_calendar:
-                    if reference_calendar.overtime_type_ids:
-                        sorted_types = sorted(
-                            reference_calendar.overtime_type_ids,
-                            key=lambda k: k.sequence)
-                        current_overtime = days_by_employee[employee_id][
-                            str_date]['overtime']
+                active_contract_ids = attendance_pool.get_active_contracts(
+                    cr, uid, int(employee_id), date=str_date)
+                if active_contract_ids:
+                    contract = contract_pool.browse(cr, uid, active_contract_ids[0])                
+                    if contract.working_hours and contract.working_hours.overtime_type_ids:
+                        sorted_types = sorted(contract.working_hours.overtime_type_ids, key=lambda k: k.sequence)
+                        current_overtime = days_by_employee[employee_id][str_date]['overtime']
                         for overtime_type in sorted_types:
-                            if not totals_by_employee[employee_id]['total_types'].get(
-                                overtime_type.name, False):
-                                totals_by_employee[employee_id]['total_types'][
-                                    overtime_type.name] = 0.0
+                            if not totals_by_employee[employee_id]['total_types'].get(overtime_type.name, False):
+                                totals_by_employee[employee_id]['total_types'][overtime_type.name] = 0.0
                             if current_overtime:
                                 if current_overtime <= overtime_type.limit or not overtime_type.limit:
                                     totals_by_employee[employee_id]['total_types'][
-                                        overtime_type.name] = attendance_pool.time_sum(
-                                        totals_by_employee[employee_id]
-                                        ['total_types'][overtime_type.name],
-                                        current_overtime)
+                                        overtime_type.name] = attendance_pool.time_sum(totals_by_employee[
+                                        employee_id]['total_types'][overtime_type.name], current_overtime)
                                     current_overtime = 0.0
                                 else:
                                     totals_by_employee[employee_id]['total_types'][
-                                        overtime_type.name] = attendance_pool.time_sum(
-                                        totals_by_employee[employee_id]['total_types']
-                                        [overtime_type.name], overtime_type.limit)
+                                        overtime_type.name] = attendance_pool.time_sum(totals_by_employee[
+                                        employee_id]['total_types'][overtime_type.name], overtime_type.limit)
                                     current_overtime = attendance_pool.time_difference(overtime_type.limit,
                                         current_overtime)
 
-                days_by_employee[employee_id][str_date][
-                    'attendances'
-                    ] = attendance_pool.float_time_convert(
+                days_by_employee[employee_id][str_date]['attendances'] = attendance_pool.float_time_convert(
                     days_by_employee[employee_id][str_date]['attendances'])
-                days_by_employee[employee_id][str_date][
-                    'overtime'
-                    ] = attendance_pool.float_time_convert(
+                days_by_employee[employee_id][str_date]['overtime'] = attendance_pool.float_time_convert(
                     days_by_employee[employee_id][str_date]['overtime'])
-                days_by_employee[employee_id][str_date][
-                    'negative'
-                    ] = attendance_pool.float_time_convert(
+                days_by_employee[employee_id][str_date]['negative'] = attendance_pool.float_time_convert(
                     days_by_employee[employee_id][str_date]['negative'])
-                days_by_employee[employee_id][str_date][
-                    'leaves'
-                    ] = attendance_pool.float_time_convert(
+                days_by_employee[employee_id][str_date]['leaves'] = attendance_pool.float_time_convert(
                     days_by_employee[employee_id][str_date]['leaves'])
-                days_by_employee[employee_id][str_date][
-                    'due'
-                    ] = attendance_pool.float_time_convert(
+                days_by_employee[employee_id][str_date]['due'] = attendance_pool.float_time_convert(
                     days_by_employee[employee_id][str_date]['due'])
 
-            totals_by_employee[employee_id][
-                'total_attendances'
-                ] = attendance_pool.float_time_convert(
+            totals_by_employee[employee_id]['total_attendances'] = attendance_pool.float_time_convert(
                 totals_by_employee[employee_id]['total_attendances'])
-            totals_by_employee[employee_id][
-                'total_overtime'
-                ] = attendance_pool.float_time_convert(
+            totals_by_employee[employee_id]['total_overtime'] = attendance_pool.float_time_convert(
                 totals_by_employee[employee_id]['total_overtime'])
-            totals_by_employee[employee_id][
-                'total_negative'
-                ] = attendance_pool.float_time_convert(
+            totals_by_employee[employee_id]['total_negative'] = attendance_pool.float_time_convert(
                 totals_by_employee[employee_id]['total_negative'])
-            totals_by_employee[employee_id][
-                'total_leaves'
-                ] = attendance_pool.float_time_convert(
+            totals_by_employee[employee_id]['total_leaves'] = attendance_pool.float_time_convert(
                 totals_by_employee[employee_id]['total_leaves'])
-            totals_by_employee[employee_id][
-                'total_due'
-                ] = attendance_pool.float_time_convert(
+            totals_by_employee[employee_id]['total_due'] = attendance_pool.float_time_convert(
                 totals_by_employee[employee_id]['total_due'])
                 
             for overtime_type in totals_by_employee[employee_id]['total_types']:
-                totals_by_employee[employee_id]['total_types'][
-                    overtime_type
-                    ] = attendance_pool.float_time_convert(
-                    totals_by_employee[employee_id]['total_types'][overtime_type])
+                totals_by_employee[employee_id]['total_types'][overtime_type] = attendance_pool.float_time_convert(totals_by_employee[employee_id]['total_types'][overtime_type])
 
         datas = {'ids': employee_ids}
         datas['model'] = 'hr.employee'
@@ -360,3 +311,4 @@
             'datas': datas,
         }
 
+wizard_calendar_report()
